Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.taglibs.standard.lang.jstl
Class ArithmeticOperator

    java.lang.Object
      org.apache.taglibs.standard.lang.jstl.BinaryOperator
          org.apache.taglibs.standard.lang.jstl.ArithmeticOperator

Direct Known Subclasses:
  MinusOperator, MultiplyOperator, PlusOperator

    public abstract class ArithmeticOperator

extends BinaryOperator

This is the superclass for all binary arithmetic operators

Version:
  $Change: 181177 $$DateTime: 2001/06/26 08:45:09 $$Author: tcfujii $
Author:
  Nathan Abramson - Art Technology Group

Constructor Summary
`ArithmeticOperator()`

Method Summary
`abstract double` | `apply(double pLeft, double pRight, Logger pLogger)` Applies the operator to the given double values, returning a double
`abstract long` | `apply(long pLeft, long pRight, Logger pLogger)` Applies the operator to the given double values, returning a double
`Object` | `apply(Object pLeft, Object pRight, Object pContext, Logger pLogger)` Applies the operator to the given value

Methods inherited from class org.apache.taglibs.standard.lang.jstl.BinaryOperator
`getOperatorSymbol, shouldCoerceToBoolean, shouldEvaluate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ArithmeticOperator

    public ArithmeticOperator()

Method Detail

### apply

    public Object apply(Object pLeft,
                        Object pRight,
                        Object pContext,
                        Logger pLogger)
                 throws ELException

  Applies the operator to the given value

  Specified by:
    `apply` in class `BinaryOperator`
  Throws:
    `ELException`

### apply

    public abstract double apply(double pLeft,
                                 double pRight,
                                 Logger pLogger)

  Applies the operator to the given double values, returning a double

### apply

    public abstract long apply(long pLeft,
                               long pRight,
                               Logger pLogger)

  Applies the operator to the given double values, returning a double

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.